%define name xsidplay
%define version 1.6.4.3
%define release 5mdk

Name: %{name}
Summary: A Commdore 64 music player and SID chip emulator for X11.
Version: %{version}
Release: %{release}
Icon: %{name}.xpm
License: GPL
URL: http://www.geocities.com/SiliconValley/Lakes/5147/
Group: Sound
Source: %{name}-%{version}.tar.bz2
Source1: %{name}-48.png.bz2
Source2: %{name}-32.png.bz2
Source3: %{name}-16.png.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: libqt2-devel >= 2.2.3  libsidplay2-devel >= 2.0.7 libsidplay1-devel >= 1.36.47 tsid-devel >= 0.6
Requires: libqt2 >= 2.2.3

%description
This is a music player and SID chip emulator based in the SIDPLAY
library. With it you can listen to more than 10000 musics from old
and new C64 programs. The majority of available musics is in the
High Voltage SID Collection.

%package libsidplay2
Summary: Xsidplay version based on libsidplay2
Group: Sound
Requires: libsidplay2 >= 2.0.7 %{name} = %{version}

%description libsidplay2
This is a music player and SID chip emulator based in the SIDPLAY
library. With it you can listen to more than 10000 musics from old
and new C64 programs. The majority of available musics is in the
High Voltage SID Collection.

This package contains the version of xsidplay linked against the new version
of libsidplay, it needs much more processor power, but it has a much better 
sound quality.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
#fix path in man page
perl -pi -e "s!/usr/share/doc/%{name}!/usr/share/doc/%{name}-%{version}!" xsidplay.1

%build
#evil hack for linking against libqt-mt
ln -sf %{_libdir}/libqt-mt.so.2 libqt-mt.so
export LDFLAGS=-L`pwd`
# optimization breaks it
export CXXFLAGS=`echo $RPM_OPT_FLAGS |sed -e s/-O3/-O2/`
%configure --with-qt-dir=/usr/lib/qt2 --with-sidplay2
%make
mv src/xsidplay xsidplay-libsidplay2
make clean
%configure  --with-qt-dir=/usr/lib/qt2
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std pkgdatadir=%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
# menu causes rpmlint warning, but that's ok, xsidplay is provided by
# alternative
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/xsidplay
?package(xsidplay):\
needs="x11"\
section="Multimedia/Sound"\
title="Xsidplay"\
longtitle="QT version of the C64 music player"\
command="xsidplay"\
icon="xsidplay.png"
EOF
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_liconsdir}/xsidplay.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/xsidplay.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_miconsdir}/xsidplay.png

cp xsidplay-libsidplay2 $RPM_BUILD_ROOT%{_bindir}
cd $RPM_BUILD_ROOT%{_bindir}
mv xsidplay xsidplay-libsidplay1

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
update-alternatives --install %{_bindir}/xsidplay xsidplay %{_bindir}/xsidplay-libsidplay1 10
[ -e %{_bindir}/%{name} ] || update-alternatives --auto %{name}

%postun
%{clean_menus}
[ "$1" = "0" ] || exit 0
update-alternatives --remove xsidplay %{_bindir}/xsidplay-libsidplay1


%post libsidplay2
update-alternatives --install %{_bindir}/xsidplay xsidplay %{_bindir}/xsidplay-libsidplay2 20

%postun libsidplay2
[ $1 = 0 ] || exit 0
update-alternatives --remove xsidplay %{_bindir}/xsidplay-libsidplay2

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README* hv_sids.faq STIL.faq
%{_bindir}/xsidplay-libsidplay1
%{_iconsdir}/xsidplay.png
%{_iconsdir}/mini/xsidplay.png
%{_liconsdir}/xsidplay.png
%{_menudir}/xsidplay
%{_mandir}/man1/xsidplay.1*

%files libsidplay2
%defattr(-,root,root)
%doc example-sidtunes
%{_bindir}/xsidplay-libsidplay2

%changelog
* Sun Mar 10 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.4.3-5mdk
- rebuild with new libsidplay1

* Tue Feb 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.4.3-4mdk
- move example tunes to libsidplay2 package, they require libsidplay2

* Wed Feb  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.4.3-3mdk
- png icons
- fix qt2 build
- rebuild with new tsid 0.6

* Wed Jan  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.4.3-2mdk
- rebuild with new tsid 0.5

* Wed Dec 19 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6.4.3-1mdk
- build with libsidplay 1.36.49
- 1.6.4.3

* Fri Nov 30 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6.4.2-2mdk
- fix menu (just ignore rpmlint warning)
- fix doc path in man page

* Thu Nov 29 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6.4.2-1mdk
- 1.6.4.2
- added new man page to file list

* Mon Nov 26 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6.4-1mdk
- %%makeinstall_std
- 1.6.4

* Thu Nov 15 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6.3-1mdk
- adaptions for new %%makeinstall
- 1.6.3

* Tue Oct 30 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6.2.1-2mdk
- fixed build with newer libqt2
- rebuild against tsid 0.4

* Thu Aug 23 2001 Etienne Faure <etienne@mandrakesoft.com> 1.6.2.1-1mdk
- updated from Gtz Waschk <waschk@linux-mandrake.com> 1.6.2.1-1mdk
	- 1.6.2.1

* Wed Aug  8 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-1mdk
- 1.6.1
- fixed icons

* Thu May  3 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-1mdk
- 1.6.0 final

* Thu Apr 19 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6-0.15mdk
- 1.6b12
- split libsidplay2-based version as an alternative

* Tue Mar 27 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.6-0.14mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com>:
	- Rebuild against TSID 0.3

* Tue Mar 20 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.6-0.13mdk
- use gcc 2.96, else it doesn't work
- fix optimization flags to allow compilation

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 1.6-0.12mdk
- Rebuild against Qt 2.3.0

* Wed Feb 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.6-0.11mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> 1.6-0.11mdk
	- 1.6pre11
	- updated documentation section
	- added build requirement for tsid-devel
- use egcs

* Mon Jan 22 2001 David BAUDENS <baudens@mandrakesoft.com> 1.5.4-2mdk
- Fix build

* Fri Oct 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.5.4-1mdk
- updated to 1.5.4

* Fri Oct 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.5.2-1mdk
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	1.5.2
	removed obsoleted patch

* Thu Oct 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.4.2-2mdk
- used srpm from Gtz Waschk :
	Wed Oct  4 2000 Gtz Waschk <waschk@linux-mandrake.com> 
	- includes brownpaperbag patch, fixes the parsing of SONGLENGTHS.txt

* Sun Oct  1 2000 Gtz Waschk <waschk@linux-mandrake.com> 1.4.2-1mdk
- 1.4.2

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0-1mdk
- used srpm from Gtz Waschk :
	Thu Sep 21 2000 Gtz Waschk <waschk@linux-mandrake.com> 1.4.0-1mdk
	- 1.4.0
	- macros
	- qt2

* Tue Jul 25 2000 Gtz Waschk <waschk@linux-mandrake.com> 1.3.9-2mdk
- cleaned spec
- added large icon
- BM

* Sat Jul 15 2000 Gtz Waschk <goetz@linux-mandrake.com> 1.3.9-1mdk
- initial mandrake release

